//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Skybox
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/del_tohunga/sky2
{
	qer_editorimage textures/del_tohunga/env/color.tga
	//q3map_lightmapFilterRadius 0 8	
	q3map_lightsubdivide 768
	q3map_backsplash 0 0

	q3map_sunEXT 1 0.788 0.347 150 100 50 3 12	//2 8
	q3map_skyLight 150 4		//250 4
	q3map_lightRGB 1 0.788 0.347

	q3map_noFog

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms env/box365/box365 - -

	nopicmip
	nomipmaps
}

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Water
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/del_tohunga/water2
{
	qer_editorimage textures/del_tohunga/wvw_slime.tga
	qer_trans 0.75
	q3map_globaltexture
	q3map_cheapwater 4 1 0.85 0.7	//wave size, R, B, G 
	q3map_noshadow 32
	
	//surfaceparm lightfilter
	//surfaceparm alphashadow

	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm water

	cull none
	nopicmip
	deformVertexes wave 32 sin 0.5 0.5 0 0.1
        {
            map textures/del_tohunga/wvw_slime.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 0.5 0.5
	    tcMod turb 0.1 0.1 0.1 .1
        }
        {
            map textures/del_tohunga/wvw_slime.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scroll .05 -.01
        }
        {
            map textures/del_tohunga/wvw_slime.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 2 2
	    tcMod turb 0 0.1 1 .1
        }
}
textures/del_tohunga/watercaulk
{
	qer_editorimage textures/del_tohunga/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}
textures/del_tohunga/waterplant_2
{
	qer_alphafunc greater 0.5
	q3map_lightmapSampleSize 0
	q3map_noshadow 32	//no shadows from water
	surfaceparm alphashadow
	surfaceparm trans 
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	cull none 
	nopicmip
	deformVertexes bulge 64 1 2		
	{
		map textures/del_tohunga/waterplant_2.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}
textures/del_tohunga/waterplant_1
{
	qer_alphafunc greater 0.5
	q3map_lightmapSampleSize 0
	q3map_noshadow 32	//no shadows from water
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks
	cull none 
	nopicmip
	deformVertexes bulge 64 1 2		
	{
		map textures/del_tohunga/waterplant_1.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	$NulL's light Hax
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//used in an early beta for an easter egg.
//just keeping it in here so i know where to find it if i need to
textures/del_tohunga/a_shadow_dark
{
	qer_editorimage textures/del_tohunga/shadow.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	sort 12
	q3map_cloneshader textures/del_tohunga/a_shadow_light
	{
		map textures/del_tohunga/shadow_d.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/a_shadow_light
{
	qer_editorimage textures/del_tohunga/light.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	sort 13
	q3map_invert
	{
		map textures/del_tohunga/light_d.tga
		blendfunc gl_dst_color gl_src_color
		//blendfunc add
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Models
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/del_tohunga/glass_wave
{
	q3map_lightimage textures/del_tohunga/lamp_light.tga
	//q3map_lightsubdivide 32
	//q3map_lightmapFilterRadius 0 8
	surfaceparm nomarks
	q3map_surfacelight 35000	//20000 
        {
                map textures/del_tohunga/glass_wave.tga
		rgbGen vertex
        }	
}
textures/del_tohunga/glass_wave_low
{
	q3map_lightimage textures/del_tohunga/lamp_light.tga
	//q3map_lightsubdivide 32
	//q3map_lightmapFilterRadius 0 8
	surfaceparm nomarks
	q3map_surfacelight 20000 
        {
                map textures/del_tohunga/glass_wave.tga
		rgbGen vertex
        }	
}
textures/del_tohunga/light_white
{
	q3map_lightimage textures/del_tohunga/light_white.tga
	//q3map_lightsubdivide 32
	//q3map_lightmapFilterRadius 0 8
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 5000 
        {
                map textures/del_tohunga/light_white.tga
        }
}
textures/del_tohunga/leaves
{
	q3map_forceMeta
	q3map_noshadow 32	//no shadows from self
	surfaceparm detail
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm trans
	nopicmip
	//deformVertexes wave 100 sin 0 3 0 0.02
	//deformVertexes wave 100 sin 0 5 0 0.02
	qer_alphaFunc gequal 0.5
	{
		map textures/del_tohunga/leaves.tga
		alphafunc ge128
		rgbGen vertex
	}
}
textures/del_tohunga/bark
{
	qer_editorimage textures/del_tohunga/bark.tga
	q3map_forcemeta
	//q3map_clipModel
	q3map_vertexScale 1.125

	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0

	nopicmip
	{
		map textures/del_tohunga/bark.tga
		rgbGen vertex
	}
}
textures/del_tohunga/fern
{
	q3map_forceMeta
	qer_editorimage textures/del_tohunga/fern.tga
	qer_trans 0.99

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_shadeangle 50
	q3map_nonplanar

	q3map_bouncescale 0.0
	q3map_noshadow 32	//no shadows from self
	polygonoffset
	cull none
	{
		map textures/del_tohunga/fern.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex	//exactvertex
	}
}
textures/del_tohunga/archie
{
	qer_editorimage textures/del_tohunga/archie.tga
	q3map_forcemeta
	surfaceparm trans

	nopicmip
	{
		map textures/del_tohunga/archie.tga
		rgbGen vertex
	}
}
textures/del_tohunga/bucket
{
	qer_editorimage textures/del_tohunga/bucket.tga
	q3map_forcemeta
	surfaceparm trans
	{
		map textures/del_tohunga/bucket.tga
		rgbGen vertex
	}
}
textures/del_tohunga/brick
{
	qer_editorimage textures/del_tohunga/brick.tga
	q3map_forcemeta

	surfaceparm trans
	surfaceparm pointlight

	nopicmip
	{
		map textures/del_tohunga/brick.tga
		rgbGen vertex
	}
}
models/mapobjects/bulb/bulb
{
	q3map_lightimage textures/del_tohunga/light_white.tga
	//q3map_lightsubdivide 64
	q3map_surfacelight 500 
        {
                map models/mapobjects/bulb/bulb.tga
		rgbGen vertex
        }
        {
                map models/mapobjects/bulb/bulb_add.tga
		rgbGen vertex
		blendfunc add
        }
}
textures/del_tohunga/fusebox
{
	q3map_forcemeta

	surfaceparm trans
	surfaceparm pointlight

	nopicmip
	{
		map textures/del_tohunga/fusebox.tga
		rgbGen vertex
	}
}
textures/del_tohunga/fusebox2
{
	q3map_forcemeta

	surfaceparm trans
	surfaceparm pointlight

	nopicmip
	{
		map textures/del_tohunga/fusebox2.tga
		rgbGen vertex
	}
}
textures/del_tohunga/boxes
{
	qer_editorimage textures/del_tohunga/boxes.tga
	q3map_forcemeta
	q3map_clipModel

	surfaceparm trans
	surfaceparm pointlight

	nopicmip
	{
		map textures/del_tohunga/boxes.tga
		rgbGen vertex
	}
}
textures/del_tohunga/tyre
{
	qer_editorimage textures/del_tohunga/tyre.tga
	q3map_forcemeta
	q3map_clipModel

	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0
	{
		map textures/del_tohunga/tyre.tga
		rgbGen vertex
	}
}
textures/del_tohunga/big_tyre
{
	qer_editorimage textures/del_tohunga/big_tyre.tga
	q3map_forcemeta
	q3map_clipModel

	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0
	{
		map textures/del_tohunga/big_tyre.tga
		rgbGen vertex
	}
}
textures/del_tohunga/fence
{
	qer_editorimage textures/del_tohunga/fence.tga
	q3map_forcemeta
	q3map_clipModel

	surfaceparm trans
	surfaceparm pointlight
	//q3map_bouncescale 0.0
	{
		map textures/del_tohunga/fence.tga
		rgbGen vertex
	}
}
textures/del_tohunga/fence_wire
{
	qer_editorimage textures/del_tohunga/fencewire.tga
	q3map_forceMeta

	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm trans
	nopicmip
	qer_alphaFunc gequal 0.5
	{
		map textures/del_tohunga/fencewire.tga
		alphafunc ge128
		rgbGen vertex
	}
}
textures/del_tohunga/keres4_vegetation01
{
	qer_editorimage textures/del_tohunga/keres4_vegetation01.tga
	qer_trans 0.99
	q3map_forceMeta

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_shadeangle 50
	q3map_nonplanar

	q3map_bouncescale 0.0
	q3map_noshadow 32	//no shadows from self
	polygonoffset
	cull none
	{
		map textures/del_tohunga/keres4_vegetation01.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex	//exactvertex
	}
}
textures/del_tohunga/keres4_vegetation02
{
	qer_editorimage textures/del_tohunga/keres4_vegetation02.tga
	qer_trans 0.99
	q3map_forceMeta

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_shadeangle 50
	q3map_nonplanar

	q3map_bouncescale 0.0
	q3map_noshadow 32	//no shadows from self
	polygonoffset
	cull none
	{
		map textures/del_tohunga/keres4_vegetation02.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex	//exactvertex
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Terrain
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/del_tohunga/mud_phong
{
	q3map_nonplanar
	q3map_shadeangle 140 //90
	qer_editorimage textures/del_tohunga/dirtyr.tga 
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/del_tohunga/dirtyr.tga
		blendFunc filter
	}

}

textures/del_tohunga/grass_phong
{
	qer_editorimage textures/del_tohunga/grassy2.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	{
		map textures/del_tohunga/grassy2.tga
	}
	{
		map textures/del_tohunga/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/del_tohunga/grass_rock_phong
{
	qer_editorimage textures/del_tohunga/rockyr.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	{
		map textures/del_tohunga/grassy2.tga
		tcmod scale 2 2
	}
	{
		map textures/del_tohunga/rockyr.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/del_tohunga/grass_mud_phong
{
	qer_editorimage textures/del_tohunga/grassy2.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	//q3map_surfaceModel models/mapobjects/br_flowers/green_1.md3 1024 0.2 0.5 1.7 0 360 0
	{
		map textures/del_tohunga/dirtyr.tga
	}
	{
		map textures/del_tohunga/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/del_tohunga/grass_mud_phong_nomarks
{
	qer_editorimage textures/del_tohunga/grassy2.tga
	q3map_shadeangle 140 //90
	//q3map_lightmapMergable
	q3map_nonplanar
	surfaceparm nomarks
	{
		map textures/del_tohunga/dirtyr.tga
	}
	{
		map textures/del_tohunga/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/del_tohunga/grass_dirt_phong
{
	qer_editorimage textures/del_tohunga/dirt1.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	{
		map textures/del_tohunga/grassy2.tga
		tcmod scale 2 2
	}
	{
		map textures/del_tohunga/dirt1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
		tcmod scale 0.5 0.5
	}
	{
		map $lightmap 
		blendfunc filter
	}
}
textures/del_tohunga/dirt_grass_phong
{
	qer_editorimage textures/del_tohunga/grassy2.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	{
		map textures/del_tohunga/dirt1.tga
		tcmod scale 2 2
	}
	{
		map textures/del_tohunga/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/del_tohunga/grass_path_phong
{
	qer_editorimage textures/del_tohunga/path1.tga
	q3map_shadeangle 140 //90 //120
	q3map_nonplanar
	{
		map textures/del_tohunga/grassy2.tga
		tcmod scale 2 2
	}
	{
		map textures/del_tohunga/path1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/del_tohunga/path_phong
{
	qer_editorimage textures/del_tohunga/path1.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	{
		map textures/del_tohunga/path1.tga
	}
	{
		map textures/del_tohunga/path1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/del_tohunga/path_phong_nonsolid
{
	qer_editorimage textures/del_tohunga/path1.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/del_tohunga/path1.tga
	}
	{
		map textures/del_tohunga/path1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/del_tohunga/ground_phong
{
	qer_editorimage textures/del_tohunga/tile07.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	{
		map textures/del_tohunga/tile07.tga
	}
	{
		map textures/del_tohunga/tile07.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/del_tohunga/grass_ground_phong
{
	qer_editorimage textures/del_tohunga/tile07.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	{
		map textures/del_tohunga/tile07.tga
		tcmod scale 2 2
	}
	{
		map textures/del_tohunga/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Foliage
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/del_tohunga/vine07
{
	qer_editorimage textures/del_tohunga/ivy_down.tga
	qer_trans 0.99
	qer_alphaFunc gequal 0.5

	cull none
	q3map_vertexScale 0.8
	//q3map_noshadow 32	//no shadows from self
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	{
		map textures/del_tohunga/ivy_down.tga
		alphaFunc GE128
		rgbgen vertex
	}
}
textures/del_tohunga/vine06
{
	qer_editorimage textures/del_tohunga/ivy_down2.tga
	qer_trans 0.99
	qer_alphaFunc gequal 0.5

	cull none
	q3map_vertexScale 0.8
	//q3map_noshadow 32	//no shadows from self
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	{
		map textures/del_tohunga/ivy_down2.tga
		alphaFunc GE128
		rgbgen vertex
	}
}
textures/del_tohunga/del_fence4
{
	qer_editorimage textures/del_tohunga/del_fence4.tga
	qer_trans 0.99
	qer_alphaFunc gequal 0.5

	cull none
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	{
		map textures/del_tohunga/del_fence4.tga
		alphaFunc GE128
		rgbgen exactvertex
	}
}
textures/del_tohunga/wood_fence
{
	qer_editorimage textures/del_tohunga/wood_fence.tga
        //cull none
        nopicmip
	//q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm nodlight
	surfaceparm trans
	q3map_cloneshader textures/del_tohunga/wood_fence_back
        {
                map textures/del_tohunga/wood_fence.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
		tcmod scale 2 2
        }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/del_tohunga/wood_fence_back
{
	qer_editorimage textures/del_tohunga/wood_fence.tga
        //cull none
        nopicmip
	q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm nodlight
	surfaceparm trans
	q3map_invert
        {
                map textures/del_tohunga/wood_fence.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
		tcmod scale 2 2
        }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Assorted Decals
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/del_tohunga/bomb_black
{
	qer_editorimage textures/del_tohunga/bomb_black.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		clampmap textures/del_tohunga/bomb_black.tga
		//tcMod stretch sin 0.9 0.3 0 0.65
		//tcMod rotate 30
		//alphagen wave sin 1.2 1 0 0.65
		blendfunc blend
	}
	{
		clampmap textures/del_tohunga/bomb.tga
		tcMod stretch triangle 1.2 0.8 0 1
		tcMod rotate -30
		blendfunc GL_ONE GL_ONE
		rgbgen wave sawtooth 1.2 0.8 0 1
		//alphagen const 1
	}
	{
		clampmap textures/del_tohunga/bomb.tga
		tcMod stretch triangle 1.2 0.8 0 1
		tcMod rotate 20
		blendfunc GL_ONE GL_ONE
		rgbgen wave sawtooth 1.2 0.8 0.25 1
		//alphagen const 1
	}
}
textures/del_tohunga/bomb_red
{
	qer_editorimage textures/del_tohunga/bomb_red.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		clampmap textures/del_tohunga/bomb_red.tga
		//tcMod stretch sin 0.9 0.3 0 0.65
		//tcMod rotate -30
		//alphagen wave sin 1.2 1 0 0.65
		blendfunc blend
	}
	{
		clampmap textures/del_tohunga/bomb.tga
		tcMod stretch triangle 1.2 0.8 0 1
		tcMod rotate -30
		blendfunc GL_ONE GL_ONE
		rgbgen wave sawtooth 1.2 0.8 0 1
		//alphagen const 1
	}
	{
		clampmap textures/del_tohunga/bomb.tga
		tcMod stretch triangle 1.2 0.8 0 1
		tcMod rotate -20
		blendfunc GL_ONE GL_ONE
		rgbgen wave sawtooth 1.2 0.8 0.25 1
		//alphagen const 1
	}
}
textures/del_tohunga/decal_vines_wall
{
	qer_editorimage textures/del_tohunga/vines_wall.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	cull none
	nopicmip
	{
		map textures/del_tohunga/vines_wall.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/del_tohunga/decal_fence_1
{
	qer_editorimage textures/del_tohunga/fence_1.tga
	//q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	cull none
	nopicmip
	{
		map textures/del_tohunga/fence_1.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/del_tohunga/decal_fence_2
{
	qer_editorimage textures/del_tohunga/del_decal02.tga
	//q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	cull none
	nopicmip
	{
		map textures/del_tohunga/del_decal02.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/del_tohunga/black_bomb_mark
{
	qer_editorimage textures/del_tohunga/black_bomb_mark.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/del_tohunga/black_bomb_mark.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/red_bomb_mark
{
	qer_editorimage textures/del_tohunga/red_bomb_mark.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/del_tohunga/red_bomb_mark.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/decal_del_decal12
{
	qer_editorimage textures/del_tohunga/del_decal12.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/del_decal12.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/decal_del_decal14
{
	qer_editorimage textures/del_tohunga/del_decal14.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/del_decal14.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/decal_del_decal42
{
	qer_editorimage textures/del_tohunga/del_decal42.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/del_decal42.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}
textures/del_tohunga/decal_del_decal49
{
	qer_editorimage textures/del_tohunga/del_decal49.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/del_decal49.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/decal_del_decal57
{
	qer_editorimage textures/del_tohunga/del_decal57.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/del_decal57.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/decal_del_decal58
{
	qer_editorimage textures/del_tohunga/del_decal58.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/del_decal58.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/decal_del_decal62
{
	qer_editorimage textures/del_tohunga/del_decal62.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/del_decal62.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/decal_del_decal69
{
	qer_editorimage textures/del_tohunga/del_decal69.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/del_decal69.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/decal_del_decal71
{
	qer_editorimage textures/del_tohunga/del_decal71.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/del_decal71.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/decal_del_decal72
{
	qer_editorimage textures/del_tohunga/del_decal72.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/del_decal72.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/decal_del_decal73
{
	qer_editorimage textures/del_tohunga/del_decal73.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/del_decal73.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/decal_del_decal74
{
	qer_editorimage textures/del_tohunga/del_decal74.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/del_decal74.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/decal_del_wallscribble01
{
	qer_editorimage textures/del_tohunga/del_wallscribble01.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/del_wallscribble01.tga
		blendfunc gl_dst_color gl_src_color
	}
}
//IMA BIG FAT WHALE BITCHES!
textures/del_tohunga/whale_dude
{
	qer_trans 0.99
	qer_editorimage textures/del_tohunga/im_a_whale.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/im_a_whale.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/del_tohunga/decal_del_wallscribble02
{
	qer_editorimage textures/del_tohunga/del_wallscribble02.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/del_wallscribble02.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/decal_del_wallscribble03
{
	qer_editorimage textures/del_tohunga/del_wallscribble03.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/del_wallscribble03.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/decal_honour
{
	qer_editorimage textures/del_tohunga/honour.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/honour.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/decal_roadmarking2
{
	qer_editorimage textures/del_tohunga/decal_roadmarking2.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_roadmarking2.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/decal_dirt6
{
	qer_editorimage textures/del_tohunga/decal_dirt6.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_dirt6.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/urt_jumpers
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/urt_jumpers.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/del_tohunga/del_smoke_haze
{
	qer_editorimage textures/del_tohunga/del_smoke_haze01.tga
	nopicmip
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.7
	cull none
	deformvertexes autosprite2
	{
		map textures/del_tohunga/del_smoke_haze01.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scroll 0 0.1
	}
}
textures/del_tohunga/decal_cracks
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_cracks.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/del_tohunga/decal_dirt
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_dirt.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/del_tohunga/decal_dirt10
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_dirt10.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/del_tohunga/decal_dirt18
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_dirt18.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/del_tohunga/decal_dirt2
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_dirt2.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/del_tohunga/decal_dirt4
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_dirt4.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/del_tohunga/decal_dirt8
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_dirt8.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/del_tohunga/decal_leak
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_leak.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/del_tohunga/decal_mold
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_mold.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/del_tohunga/decal_mud2
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_mud2.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/del_tohunga/decal_dirt
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_dirt.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/del_tohunga/decal_mud_end
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_mud_end.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/del_tohunga/decal_rust
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_rust.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}

textures/del_tohunga/decal_rust6
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_rust6.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/del_tohunga/decal_rust7
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/del_tohunga/decal_rust7.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}

textures/del_tohunga/flowers
{
	qer_editorimage textures/del_tohunga/flowers.tga
	qer_trans 0.99
	q3map_nonplanar
	q3map_shadeangle 30

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	q3map_bouncescale 0.2
	q3map_noshadow 32	//no shadows from self

	{
		map textures/del_tohunga/flowers.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/del_tohunga/flowers3
{
	qer_editorimage textures/del_tohunga/flowers_3.tga
	qer_trans 0.99
	q3map_nonplanar
	q3map_shadeangle 30

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	q3map_bouncescale 0.2
	q3map_noshadow 32	//no shadows from self

	{
		map textures/del_tohunga/flowers_3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/del_tohunga/flowers2
{
	qer_editorimage textures/del_tohunga/flowers_2.tga
	qer_trans 0.99
	q3map_nonplanar
	q3map_shadeangle 30

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	q3map_bouncescale 0.2
	q3map_noshadow 32	//no shadows from self

	{
		map textures/del_tohunga/flowers_2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Misc
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/del_tohunga/powerwire01
{
	qer_editorimage textures/del_tohunga/powerwire01.tga  
	surfaceparm noimpact  
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/del_tohunga/powerwire01.tga
		blendFunc filter
	}
}
textures/del_tohunga/chainlink
{
	qer_editorimage textures/del_tohunga/chainlink.tga
	qer_trans 0.99

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks

	polygonoffset
	nopicmip
	cull none

	qer_alphaFunc gequal 0.5
	{
		map textures/del_tohunga/chainlink.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex
	}
}

textures/del_tohunga/iron_support-x
{
	cull none
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	nopicmip
	qer_alphaFunc gequal 0.5
	{
		map textures/del_tohunga/iron_support-x.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}
textures/del_tohunga/ladder-y
{
	cull none
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
        surfaceparm ladder
	surfaceparm trans
	nopicmip
	qer_alphaFunc qequal 0.5
	{
		map textures/del_tohunga/ladder-y.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}
textures/del_tohunga/gunnebo1
{
	nopicmip
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
	sort 6
	{
		map textures/del_tohunga/gunnebo2.tga
		blendFunc GL_ZERO GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
		tcmod scale 2 2
	}
    	{
		map textures/del_tohunga/gunnebo1.tga
		rgbgen const ( 0.5 0.5 0.5 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		tcmod scale 2 2
	}
}
textures/del_tohunga/ladderclip
{
        qer_trans 0.40
	qer_editor_image textures/del_tohunga/ladderclip.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
	surfaceparm detail
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}
textures/del_tohunga/clip_nokick
{

	qer_editorimage textures/del_tohunga/clip_nokick.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
}
//this side faces the brighter side
textures/del_tohunga/blue-white
{
	qer_editorimage textures/del_tohunga/blue-white.tga
	nopicmip
	q3map_cloneshader textures/del_tohunga/blue-white_back
	{
		map textures/del_tohunga/blue-white.tga
		rgbgen vertex
	}
}
textures/del_tohunga/blue-white_back
{
	qer_editorimage textures/del_tohunga/blue-white.tga
	nopicmip
	q3map_invert
	{
		map textures/del_tohunga/blue-white.tga
		rgbgen vertex
	}
}
//cheers NulL
textures/del_tohunga/bay_windows
{
	qer_editorimage textures/del_tohunga/08panwindow.tga
	q3map_surfacelight 100
	q3map_lightRGB 1 0.788 0.347
	{
		// Change fx texture
		map textures/del_tohunga/envmap01a.tga
		rgbgen identity
		tcgen environment
	}
	{
		map textures/del_tohunga/08panwindow.tga
		alphafunc ge128
		rgbgen identity
	}
	{
		map $lightmap	
		blendfunc filter
		rgbgen identity
	}
}
//cheers NulL
textures/del_tohunga/bay_windows_low
{
	qer_editorimage textures/del_tohunga/08panwindow.tga
	{
		// Change fx texture
		map textures/del_tohunga/envmap01a.tga
		rgbgen identity
		tcgen environment
	}
	{
		map textures/del_tohunga/08panwindow.tga
		alphafunc ge128
		rgbgen identity
	}
	{
		map $lightmap	
		blendfunc filter
		rgbgen identity
	}
}
//credz NulL
textures/del_tohunga/gold_shader
{
	qer_editorimage textures/del_tohunga/gold_base.tga
	{
		map textures/del_tohunga/gold_base.tga
		tcgen environment
		rgbgen const ( 0.5 0.5 0.5 )
	}
	{
		map textures/del_tohunga/gold_fx.tga
		blendfunc gl_one gl_one
		tcgen environment
		rgbgen const ( 0.5 0.5 0.5 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}
textures/del_tohunga/glass-yel
{
	qer_editorimage textures/del_tohunga/glass02.tga
	qer_trans 0.7
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodlight
	surfaceparm nomarks
	nopicmip
	{
		map textures/del_tohunga/glass02.tga
		alphagen const 0.8
		blendfunc blend
		rgbGen vertex
		tcgen environment
	}
}
textures/del_tohunga/tarp01
{
	qer_editorimage textures/del_tohunga/tarp01.tga   
	qer_trans 0.7

	surfaceparm lightfilter		// Colored alpha shadows in lightmap.
	//surfaceparm alphashadow	//gives no color on alpha shadows >.>
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none		
	{
		map textures/del_tohunga/tarp01.tga
		blendfunc blend
		alphagen const 0.875
		//rgbgen vertex
		rgbgen exactVertex
	}
}
textures/del_tohunga/del_wall
{
	q3map_nonplanar
	q3map_shadeangle 40 //90
	qer_editorimage textures/del_tohunga/del_wall.tga 
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/del_tohunga/del_wall.tga
		blendFunc filter
	}
}
textures/del_tohunga/tegelvit01
{
	q3map_nonplanar
	q3map_shadeangle 40 //90
	qer_editorimage textures/del_tohunga/tegelvit01.tga 
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/del_tohunga/tegelvit01.tga
		blendFunc filter
	}
}
textures/del_tohunga/fill_sky_bright
{
    qer_trans 0.50
    qer_editorimage textures/del_tohunga/fill_sky.tga
    //q3map_lightsubdivide 32
    //q3map_lightmapFilterRadius 0 8
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm trans
    skyparms - - -
    
    q3map_backSplash -1 -1
    q3map_lightRGB 1 0.788 0.347
    q3map_surfacelight 200
}

textures/del_tohunga/fs_tiles_floor01
{
	qer_editorimage textures/del_tohunga/fs_tiles_floor01.tga
	//surfaceparm nomarks
	{
		map textures/del_tohunga/fs_tiles_floor01.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/del_tohunga/fs_tiles_floor02
{
	qer_editorimage textures/del_tohunga/fs_tiles_floor02.tga
	//surfaceparm nomarks
	{
		map textures/del_tohunga/fs_tiles_floor02.tga
	}
	
	{
		map $lightmap
		blendfunc filter
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Windows
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/del_tohunga/sn_window1
{
	{	
		map textures/del_tohunga/sn_window1.tga
	}
	{
		map textures/del_tohunga/envmap01a.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/del_tohunga/sn_window1.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/sn_window2
{
	{	
		map textures/del_tohunga/sn_window2.tga
	}
	{
		map textures/del_tohunga/envmap01a.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/del_tohunga/sn_window2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/sn_window8
{
	{	
		map textures/del_tohunga/sn_window8.tga
	}
	{
		map textures/del_tohunga/envmap01a.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/del_tohunga/sn_window8.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/sn_window11a
{
	{	
		map textures/del_tohunga/sn_window11a.tga
	}
	{
		map textures/del_tohunga/envmap01a.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/del_tohunga/sn_window11a.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/parpaingwind01cadrb_d
{
	q3map_lightmapBrightness 1.4
	{	
		map textures/del_tohunga/parpaingwind01cadrb_d.tga
	}
	{
		map textures/del_tohunga/envmap01a.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/del_tohunga/parpaingwind01cadrb_d.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/del_tohunga/harmony
{
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	nopicmip
	{
		map textures/del_tohunga/harmony.tga
	}
}

textures/del_tohunga/stainedglass05
{
	qer_editorimage textures/del_tohunga/stainedglass05.tga

	surfaceparm lightfilter
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm playerclip

	//cull none //Lol?
	nopicmip

	//q3map_lightmapFilterRadius 0 16
	q3map_surfacelight 10	//70

	{
		map textures/del_tohunga/envmap01a.tga
		tcGen environment
		tcmod scale 4 4
		rgbGen identity
		blendFunc blend
		alphaGen const 0.2
	}
	{
		map textures/del_tohunga/stainedglass05.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
	}
}

textures/del_tohunga/null_red_carpet_1
{
	{
		map textures/del_tohunga/null_red_carpet_1.tga
		tcmod scale 4 4
	}
	{
		map $lightmap
		blendfunc filter
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	13v315h07 H4x
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
levelshots/ut4_tohunga_b10
{
	//DONT J00 WISH YOUR MAP HAD THUS LEET HAXZOR SH!T??? LOl...
	nopicmip
	nomipmaps
        {
                map levelshots/ut4_tohunga_b10.tga
        }
	//{
        //	map levelshots/ut4_tohunga_b10_2.tga
	//	blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	//	alphaGen	wave sin 0 1 1 0.04
	//}	

}

// SHADER FILE WIN
//TEXTURES/TEXTURESANDSHIT/BULLSHIT 
//{
//	QER_RANDOMBULLSHITMODIFIER 1.4	// THIS IS SO OUR TEXTURE CNA GETS GOOD
//	SURFACEPARM NOLIGHTMAP 		// THIS IS TO MAKE TEH SHADER BETTER
//	SURFACEPARM AWESOME 		// THE FINAL STEP TO MAKING OUR SHADER TEH BEST
//	SURFACEPARM NOOBPROOF 		// SO IT WONT EVER DISPEARS IN GAME NO MATTER WUT
//	{
//		MAP TEXTURES/TEXTURESANDSHIT/BULLSHIT.TGA 	// NOTICE THE MAP PART, IT MEANS THAT IS OUR MAP
//		BLENDFUNC BLENDORSOMESHIT			// SO IT BLENDS GOOD
//		RBGERNENERATOR IDENTICY				// FOR BETTER SHADERZ
//	}
//}

//In memory of Keres <3
textures/del_tohunga/ut4_ubertrainz_uberbeta1
{
	//QER_DUCKFACTOR 1.0 		// ITS A DUCK
	//QER_RANDOMBULLSHITMODIFIER 1.5 // A LITTLE MORE THAN THE LAST
	//SURFACEPARM SWEET		// DIFFERENT EFFECT THAN SURFACEPARM AWESOME
	//Q3MAP_A_GIANT_PIGMY 9001 	//COMMENTED OUT CAUSE POWER LEVELS OVER 9000 ARE TOO 1337
	nopicmip
	nomipmaps
        {
           	map textures/del_tohunga/ut4_ubertrainz_uberbeta1.tga
		//WILL_IT_BLENDFUNC? BLENDORSOMESHIT	// SO IT BLENDS GOOD
		//RBGEERNENERATOR IDENTICY			// FOR BETTER SHADERZ
        }
}

//FUSH N CHUPS